Bug 183295 - oops by hald in sysfs_readdir()
oops by hald in sysfs_readdir()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 18:50 EST by Jon Burgess
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:57:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot messages (15.76 KB, text/plain)
2006-02-27 18:50 EST, Jon Burgess
no flags Details

  None (edit)
Description Jon Burgess 2006-02-27 18:50:19 EST
Description of problem:
Oops during startup of hald accessing sysfs

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1977_FC5.i686.rpm

How reproducible:
Not certain. Seems to happen every reboot at the moment.

Steps to Reproduce:
1. Was  attempting to debug why udev isn't loading the driver for my isa
soundcard so I switched udev debug=debug in /etc/udev/udev.conf
2. Set initdefault = 4 in inittab
3. rebooted, saw oops during startup.  

Actual results:
Oops see attachment for full dmesg.

Unable to handle kernel NULL pointer dereference at virtual address 00000020
 printing eip:
c0188f32
*pde = 0cfd5067
Oops: 0000 [#1]
last sysfs file: /class/net/sit0/address
Modules linked in: ipv6 autofs4 sunrpc ip_conntrack_netbios_ns ipt_REJECT
xt_state ip_conntrack nfnetlink xt_tcpudp iptable_filter ip_tables x_tables
video button battery ac lp parport_pc parport nvram uhci_hcd 3c59x mii i2c_piix4
i2c_core dm_snapshot dm_zero dm_mirror dm_mod ext3 jbd
CPU:    0
EIP:    0060:[<c0188f32>]    Not tainted VLI
EFLAGS: 00010286   (2.6.15-1.1977_FC5 #1)
EIP is at sysfs_readdir+0x153/0x202
eax: 00000000   ebx: cd6247f8   ecx: 00000006   edx: 00000002
esi: ce89d6d0   edi: ce89d6d7   ebp: cf8f9d3c   esp: cf141f50
ds: 007b   es: 007b   ss: 0068
Process hald (pid: 1756, threadinfo=cf141000 task=cd478aa0)
Stack: <0>c01637d0 cf141f98 cc4987e0 cf893960 cf8f9d40 00000006 c034b880 cc4987e0
       cf8959f0 cf895a70 c016398f cf141f98 c01637d0 fffffff7 09cbe2e4 00000000
       cc4987e0 c0163a1c 09cbe34c 09cbe334 00000f98 ffffffea 0000000d 09cbe2e4
Call Trace:
 [<c01637d0>] filldir64+0x0/0xc3     [<c016398f>] vfs_readdir+0x66/0x90
 [<c01637d0>] filldir64+0x0/0xc3     [<c0163a1c>] sys_getdents64+0x63/0xa5
 [<c0102bc1>] syscall_call+0x7/0xb    <0>Code: 14 00 0f 84 ad 00 00 00 89 e8 e8
fe e8 ff ff 89 c6 31 c0 83 c9 ff 89 f7 f2 ae f7 d1 49 89 4c 24 14 8b 45 20 85 c0
74 08 8b 40 18 <8b> 50 20 eb 11 ba 02 00 00 00 a1 a0 76 41 c0 e8 28 0e fe ff 89
Continuing in 1 seconds.
 BUG: hald/1756, lock held at task exit time!
 [cf895a70] {inode_init_once}
.. held by:              hald: 1756 [cd478aa0, 117]
... acquired at:               vfs_readdir+0x49/0x90


Expected results:


Additional info:
Comment 1 Jon Burgess 2006-02-27 18:50:20 EST
Created attachment 125363 [details]
boot messages
Comment 2 valery brasseur 2006-03-27 02:39:08 EST
I got something with seems the same.
having done the same with my udev which was hanging.
after applying the new pcmcia rpm, udev was OK but the boot oops in hald the
same way as the first report...
Comment 3 Roberto Ragusa 2006-03-27 06:52:08 EST
The same happened to me with kernel 2.6.16-1.2071_FC5 (unofficial fedora kernel).

I had udev_log="debug" in /etc/udev/udev.conf.


Unable to handle kernel NULL pointer dereference at virtual address 00000020
 printing eip:
c01871b6
*pde = 3432b067
Oops: 0000 [#1]
last sysfs file: /class/net/sit0/address
Modules linked in: ipv6 autofs4 hidp l2cap bluetooth sunrpc nls_cp850 vfat fat
ext3 jbd dm_mirror dm_mod video ibm_acpi button battery ac lp parport_pc parport
floppy nvram ehci_hcd uhci_hcd joydev ipw2200 ieee80211 ieee80211_crypt e1000
snd_intel8x0 snd_intel8x0m snd_ac97_codec snd_ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss i2c_i801
snd_pcm i2c_core snd_timer snd soundcore snd_page_alloc reiserfs
CPU:    0
EIP:    0060:[<c01871b6>]    Not tainted VLI
EFLAGS: 00010286   (2.6.16-1.2071_FC5 #1)
EIP is at sysfs_readdir+0x153/0x202
eax: 00000000   ebx: f5579d20   ecx: 00000012   edx: 00000002
esi: f75f3dac   edi: f75f3dbf   ebp: f7c73cf4   esp: f6715f50
ds: 007b   es: 007b   ss: 0068
Process hald (pid: 2644, threadinfo=f6715000 task=f4ebe000)
Stack: <0>c0161a20 f6715f98 f53323c0 f7c191dc f7c73cf8 00000012 c0347900 f53323c0
       c1977730 c19777b0 c0161bdf f6715f98 c0161a20 fffffff7 0970bd04 00000000
       f53323c0 c0161c6c 0970bd6c 0970bd54 00000f98 ffffffea 0000000d 0970bd04
Call Trace:
 [<c0161a20>] filldir64+0x0/0xc3     [<c0161bdf>] vfs_readdir+0x66/0x90
 [<c0161a20>] filldir64+0x0/0xc3     [<c0161c6c>] sys_getdents64+0x63/0xa5
 [<c0102bc1>] syscall_call+0x7/0xb    <0>Code: 14 00 0f 84 ad 00 00 00 89 e8 e8
fe e8 ff ff 89 c6 31 c0 83 c9 ff 89 f7 f2 ae f7 d1 49 89 4c 24 14 8b 45 20 85 c0
74 08 8b 40 18 <8b> 50 20 eb 11 ba 02 00 00 00 a1 a0 36 41 c0 e8 dd 0d fe ff 89
Comment 4 Roberto Ragusa 2006-03-27 07:05:50 EST
Someone reported a similar problem in vanilla 2.6.14.

  http://lkml.org/lkml/2005/10/31/192
Comment 5 Dave Jones 2006-10-16 20:21:44 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dave Jones 2006-11-24 17:57:43 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.